package org.smartjava.scalatra.repository
import org.smartjava.scalatra.model.Bid

class BidRepository {
 
    def get(bid: Number, user: String) : Option[Bid] = {
    	
      bid.intValue() match {
        case 345 => {
           val bid = new Bid(Some(345),123, 20, 10, "GBP", user, 1347285103671l);
           Option(bid);
        };
        
        case _ => Option(null);
      }    
    }
    
    def create(bid: Bid): Bid = {
      // in next tutorial add persistency
      val createdBid = new Bid(Some(345), bid.forItem, bid.minimum, bid.maximum, bid.currency, bid.bidder, bid.date);
      createdBid;
    }
}