package org.smartjava.scalatra.model

case class Item(
    name:String,
    id: Number,
    startPrice: Number,
    currency: String,
    description: String,
    links: List[Link]
);

case class Link(
    linkType: String,
    rel: String,
    href: String
);

case class Bid(
    id: Option[Long],
    forItem: Number,
    minimum: Number,
    maximum: Number,
    currency: String,
    bidder: String,
    date: Long
);
